System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ComponentModel.LicenseContext

This class provides methods for managing license keys of the associated context and a property for representing the licensing mode of the associated context.

Represents a design-time license context that can support a license provider at design time.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` `` To be added

  Gets a saved license key.

  The saved license key that matches the specified type.

  The type of the license key. The assembly to get the key from.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  This method sets the specified license key to this license context.

  Sets a saved license key.

  The type of the license key. The license key.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.LicenseUsageMode To be added: an object of type 'ComponentModel.LicenseUsageMode' To be added

  Gets the license usage mode.